Bug 1433617 - Review Request: proselint - A linter for English prose
Summary: Review Request: proselint - A linter for English prose
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-18 20:28 UTC by Peter Oliver
Modified: 2018-03-13 23:12 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-03-13 17:17:08 UTC
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Peter Oliver 2017-03-18 20:28:34 UTC
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/mavit/python-proselint/python-proselint.git/plain/python-proselint.spec?id=9944312a25d1877bf940c0cabe28beff74f06fd1
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/mavit/python-proselint/fedora-26-x86_64/00519081-python-proselint/python-proselint-0.8.0-1.fc26.src.rpm
Description: proselint's goal is to aggregate knowledge about best practices in writing and to make that knowledge immediately accessible to all authors in the form of a linter for prose.  It is a command-line utility that can be integrated into existing tools.
Fedora Account System Username: mavit

Comment 1 Peter Oliver 2017-03-18 20:35:30 UTC
`rpmlint` reports some errors along the following lines:

python3-proselint.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/proselint/score.py /usr/bin/env python
python3-proselint.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/proselint/score.py 644 /usr/bin/env python
...

I believe that these are harmless because the files in question should not be executable and the `#!` line has been included in them in error.  I have submitted a patch upstream to remove them (https://github.com/amperser/proselint/pull/694), but don't believe that we need to wait for this to be integrated to proceed.

Comment 3 Yatin Karel 2017-06-27 15:51:56 UTC
This is an un-official review.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues:
- python2 subpackage contains Provides python3-*, it should provide python2 binary
- %check can be corrected as https://github.com/amperser/proselint/issues/623 is fixed
  upstream
- For consistency one BuildRequires/Requires per line.
- Invalid souce URL
- Why unversioned package(only containing proselint binary) is created: proselint,
  are subpackages not sufficient?
  If proselint binary differs in functioning in python2/python3 it would be good you ship
  both proselint-2, proselint-3 and symlink proselint with proselint-2 or proselint-3.
  This way it fixes your hack for creating and removing binary for pytho2 subpackage.
- Good to use versioned packages if available: python-setuptools --> python2-setuptools,
  same is for click, future, six
- To me it looks the invalid use of Suggests and Recommends, any reason for using them in
  spec file.
- Correct rpmlint errors


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated", "*No copyright* BSD
     (unspecified)". 221 files have unknown license. Detailed output of
     licensecheck in /home/ykarel/work/fedora-reviews/1433617-python-
     proselint/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-proselint , python3-proselint , proselint
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
Tried fedora 25 mockbuild
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-proselint-0.8.0-1.fc25.noarch.rpm
          python3-proselint-0.8.0-1.fc25.noarch.rpm
          proselint-0.8.0-1.fc25.noarch.rpm
          python-proselint-0.8.0-1.fc25.src.rpm
python2-proselint.noarch: W: spelling-error Summary(en_US) linter -> liner, liter, inter
python2-proselint.noarch: W: spelling-error %description -l en_US linter -> liner, liter, inter
python2-proselint.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/proselint/.proselintrc
python2-proselint.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/proselint/command_line.py 644 /usr/bin/python 
python2-proselint.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/proselint/score.py /usr/bin/env python
python2-proselint.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/proselint/score.py 644 /usr/bin/env python
python2-proselint.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/proselint/tools.py /usr/bin/env python
python2-proselint.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/proselint/tools.py 644 /usr/bin/env python
python3-proselint.noarch: W: spelling-error Summary(en_US) linter -> liner, liter, inter
python3-proselint.noarch: W: spelling-error %description -l en_US linter -> liner, liter, inter
python3-proselint.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/proselint/command_line.py 644 /usr/bin/python 
python3-proselint.noarch: E: wrong-script-interpreter /usr/lib/python3.5/site-packages/proselint/score.py /usr/bin/env python
python3-proselint.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/proselint/score.py 644 /usr/bin/env python
python3-proselint.noarch: E: wrong-script-interpreter /usr/lib/python3.5/site-packages/proselint/tools.py /usr/bin/env python
python3-proselint.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/proselint/tools.py 644 /usr/bin/env python
python3-proselint.noarch: W: hidden-file-or-dir /usr/lib/python3.5/site-packages/proselint/.proselintrc
proselint.noarch: W: spelling-error Summary(en_US) linter -> liner, liter, inter
proselint.noarch: W: spelling-error %description -l en_US linter -> liner, liter, inter
proselint.noarch: W: no-documentation
proselint.noarch: W: no-manual-page-for-binary proselint
python-proselint.src: W: spelling-error Summary(en_US) linter -> liner, liter, inter
python-proselint.src: W: spelling-error %description -l en_US linter -> liner, liter, inter
4 packages and 0 specfiles checked; 10 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
python3-proselint.noarch: W: spelling-error Summary(en_US) linter -> liner, liter, inter
python3-proselint.noarch: W: spelling-error %description -l en_US linter -> liner, liter, inter
python3-proselint.noarch: W: hidden-file-or-dir /usr/lib/python3.5/site-packages/proselint/.proselintrc
python3-proselint.noarch: E: wrong-script-interpreter /usr/lib/python3.5/site-packages/proselint/tools.py /usr/bin/env python
python3-proselint.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/proselint/tools.py 644 /usr/bin/env python
python3-proselint.noarch: E: wrong-script-interpreter /usr/lib/python3.5/site-packages/proselint/score.py /usr/bin/env python
python3-proselint.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/proselint/score.py 644 /usr/bin/env python
python3-proselint.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/proselint/command_line.py 644 /usr/bin/python 
python2-proselint.noarch: W: spelling-error Summary(en_US) linter -> liner, liter, inter
python2-proselint.noarch: W: spelling-error %description -l en_US linter -> liner, liter, inter
python2-proselint.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/proselint/tools.py /usr/bin/env python
python2-proselint.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/proselint/tools.py 644 /usr/bin/env python
python2-proselint.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/proselint/score.py /usr/bin/env python
python2-proselint.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/proselint/score.py 644 /usr/bin/env python
python2-proselint.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/proselint/.proselintrc
python2-proselint.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/proselint/command_line.py 644 /usr/bin/python 
proselint.noarch: W: spelling-error Summary(en_US) linter -> liner, liter, inter
proselint.noarch: W: spelling-error %description -l en_US linter -> liner, liter, inter
proselint.noarch: W: no-documentation
proselint.noarch: W: no-manual-page-for-binary proselint
3 packages and 0 specfiles checked; 10 errors, 10 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/ykarel/work/fedora-reviews/1433617-python-proselint/srpm/python-proselint.spec	2017-06-23 16:43:21.194284895 +0530
+++ /home/ykarel/work/fedora-reviews/1433617-python-proselint/srpm-unpacked/python-proselint.spec	2017-02-27 03:38:01.000000000 +0530
@@ -18,4 +18,5 @@
 BuildRequires:  python-click python3-click
 BuildRequires:  python2-future python3-future
+BuildRequires:  python2-mock python3-mock
 BuildRequires:  python-six python3-six
 


Requires
--------
python3-proselint (rpmlib, GLIBC filtered):
    python(abi)
    python3-click
    python3-future
    python3-six

python2-proselint (rpmlib, GLIBC filtered):
    python(abi)
    python-click
    python-future
    python-six

proselint (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python3-proselint



Provides
--------
python3-proselint:
    python3-proselint
    python3.5dist(proselint)
    python3dist(proselint)

python2-proselint:
    python2-proselint
    python2.7dist(proselint)
    python2dist(proselint)

proselint:
    proselint



Source checksums
----------------
https://files.pythonhosted.org/packages/source/p/proselint/proselint-0.8.0.tar.gz :
  CHECKSUM(SHA256) this package     : 08d48494533f178eb7a978cbdf10ddf85ed7fc2eb486ff5e7d0aecfa08e81bbd
  CHECKSUM(SHA256) upstream package : 08d48494533f178eb7a978cbdf10ddf85ed7fc2eb486ff5e7d0aecfa08e81bbd


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1433617
Buildroot used: fedora-25-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Peter Oliver 2017-07-03 19:11:38 UTC
Thanks for looking at this.

(In reply to Yatin Karel from comment #3)
> Issues:
> - python2 subpackage contains Provides python3-*, it should provide python2
> binary

Fixed.

> - %check can be corrected as
> https://github.com/amperser/proselint/issues/623 is fixed
>   upstream

It's fixed in the development branch, but has not yet been released to a stable version.

> - For consistency one BuildRequires/Requires per line.

Fixed.

> - Invalid souce URL

The source URL seems to work for me.  What trouble are you having?

>   If proselint binary differs in functioning in python2/python3 it would be
> good you ship
>   both proselint-2, proselint-3 and symlink proselint with proselint-2 or
> proselint-3.

The functionality shouldn't differ, and I don't think anyone will reasonably require both.

> - Good to use versioned packages if available: python-setuptools -->
> python2-setuptools,
>   same is for click, future, six

There is still no python2-click in Fedora 24, but I have updated the others.

> - To me it looks the invalid use of Suggests and Recommends, any reason for
> using them in
>   spec file.

What is it about them that looks invalid?  It seems likely to me that anyone installing the python module is likely to also want the command-line binary.

> - Correct rpmlint errors

I discuss in comment #1 why I believe these errors are harmless.

Comment 5 Yatin Karel 2017-07-04 15:16:12 UTC
(In reply to Peter Oliver from comment #4)
> Thanks for looking at this.
> 
> (In reply to Yatin Karel from comment #3)
> > Issues:
> > - python2 subpackage contains Provides python3-*, it should provide python2
> > binary
> 
> Fixed.
> 
> > - %check can be corrected as
> > https://github.com/amperser/proselint/issues/623 is fixed
> >   upstream
> 
> It's fixed in the development branch, but has not yet been released to a
> stable version.
> 
Thanks, hmm it's not there in Tagged release: https://github.com/amperser/proselint/blob/v0.8.0/MANIFEST.in.

> > - For consistency one BuildRequires/Requires per line.
> 
> Fixed.
> 
> > - Invalid souce URL
> 
> The source URL seems to work for me.  What trouble are you having?
> 

I get 404 Not found for SRPM: https://copr-be.cloud.fedoraproject.org/results/mavit/python-proselint/fedora-26-x86_64/00519081-python-proselint/python-proselint-0.8.0-1.fc26.src.rpm

> >   If proselint binary differs in functioning in python2/python3 it would be
> > good you ship
> >   both proselint-2, proselint-3 and symlink proselint with proselint-2 or
> > proselint-3.
> 
> The functionality shouldn't differ, and I don't think anyone will reasonably
> require both.
>
If the functionality not differs, it's Ok to keep one copy of binary. 
> > - Good to use versioned packages if available: python-setuptools -->
> > python2-setuptools,
> >   same is for click, future, six
> 
> There is still no python2-click in Fedora 24, but I have updated the others.
> 
> > - To me it looks the invalid use of Suggests and Recommends, any reason for
> > using them in
> >   spec file.
> 
> What is it about them that looks invalid?  It seems likely to me that anyone
> installing the python module is likely to also want the command-line binary.
> 

What i get from your spec is following: you are creating an extra package(proselint) that just contains binary for proselint, so users can install proselint(which requires python3-proselint). Is creating an extra package really required? If both packages are providing same functionality. Can't you ship both python2 and python3 with the binary?
Also as per guidelines python packages should be prefixed with python[23]-
If i understood something wrong can you share the purpose in what scenarios each package would be used for more clearity.
> > - Correct rpmlint errors
> 
> I discuss in comment #1 why I believe these errors are harmless.

Hmm till it's merged upstream, you can add workaround in %prep by removing shebangs(using sed or anything else you prefer).

Comment 6 Peter Oliver 2017-07-22 10:04:32 UTC
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/mavit/python-proselint/fedora-26-x86_64/00574757-python-proselint/python-proselint-0.8.0-2.fc26.src.rpm

> Also as per guidelines python packages should be prefixed with python[23]

There are lots of applications that happen to be implemented in Python where the package name isn't prefixed; ansible, for example.  I don't think that the implementation language is interesting or helpful to the person installing the package.

> Is creating an extra package really required? If both packages are providing same functionality. Can't you ship both python2 and python3 with the binary?

I think what's happening here is that you're thinking of this a Python library that happens to include a binary, and I'm thinking of this as an application that happens to depend on an included Python library.

Actually, I'm not aware of anything that uses the library except for the application.  Perhaps the best way to simplify this is to not build anything for Python 2, and to put everything in a single package?

Comment 7 Elliott Sales de Andrade 2017-08-24 06:07:16 UTC
I'm not really seeing anything in the readme that indicates that this can be used as a library, nor much documentation of an API. Thus it should probably be treated as an application. However, being treated as an application means not only does it not require the python[23]- prefix, it should not have a python- prefix either. There is also no reason to package a Python 2 version either.

You can rename to proselint and drop all python2- BR/R. Also don't need %{pypi_name} macro since you can use %{name} then.

Some rpmlint warnings:

python3-proselint.noarch: W: hidden-file-or-dir /usr/lib/python3.6/site-packages/proselint/.proselintrc

proselint supports reading its defaults from /etc/proselintrc, so I suggest moving this file there instead.

python3-proselint.noarch: E: non-executable-script *
python3-proselint.noarch: E: wrong-script-interpreter *

You've already sent a patch upstream, so might as well apply it here. Same for the broken test, probably.

Spelling errors are superfluous.

Testing line is very long; consider breaking lines with \-continuation.

fedora-review output on the latest version is pretty consistent with Yatin's output, so I'm not going to bother posting it again here.

Comment 8 Peter Oliver 2017-08-25 22:21:44 UTC
Thanks for taking this.

The upstream patch for the broken test doesn't help us, because the input file in question is missing from the source tarball.  It doesn't seem worth going to the effort of making a patch that includes the missing input file.

I have addressed all of the other issues you've mentioned.  Good spot regarding /etc/proselintrc being supported!

Spec URL: https://pagure.io/python-proselint/raw/master/f/proselint.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/mavit/python-proselint/fedora-rawhide-i386/00594246-proselint/proselint-0.8.0-3.fc28.src.rpm

Comment 9 Elliott Sales de Andrade 2017-08-26 07:33:26 UTC
I was only referring to the patch for the shebangs. You may also want to apply this patch https://github.com/amperser/proselint/pull/706 instead of deleting the installed tests, but that's rather minor.

Most of the linters are codifications of rules into a form that can figure out English as best a computer can. However, there are quite a few cases of lists of words or phrases from style guides, usually one or two misspellings, but sometimes longer. This is a bit less legally clear to me. Also, the list of "words the NFL won't print on a shirt" that was extracted from their page seems a bit of a less-than-grey area. 

Tagging FE-Legal on this, but I think you'd at least have to remove the NFL one due to trademark concerns (but hopefully not much else.)

Comment 10 Elliott Sales de Andrade 2017-09-15 06:17:07 UTC
PS, you may want to email the legal@ list to get some quicker answers on this.

Comment 11 Tom "spot" Callaway 2018-02-26 20:33:49 UTC
Sorry for the long delay on this one. It seems like the concern was around the use of the NFL list of profanity. 

From a copyright perspective, a list of words is not copyrightable, unless it represent “an original selection or arrangement of facts”. This is why the Phone Book is not copyrightable, but the Merriam Webster dictionary is. Obviously, this NFL list is somewhere in the middle, but I'm inclined to believe that it falls on the Phone Book side, since I could probably pull in a middle-schooler and generate the same list.

From a trademark perspective, using the NFL's name to refer to their list is probably fair use, though, the NFL is notoriously litigious. I might suggest that upstream consider dropping the use of that mark, since it doesn't really add anything to the list of profanities, but it's fine to include in Fedora as-is.

Lifting FE-Legal.

Comment 12 Elliott Sales de Andrade 2018-02-26 23:53:47 UTC
Thanks Tom.

There doesn't seem to have been any new release or anything, so I think this is good to go and approved.

Comment 13 Fedora Update System 2018-02-27 20:31:20 UTC
proselint-0.8.0-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2014ebe2e6

Comment 14 Fedora Update System 2018-02-27 20:32:09 UTC
proselint-0.8.0-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4cb899f95e

Comment 15 Peter Oliver 2018-02-27 20:35:30 UTC
Thanks for your help, everyone.

Comment 16 Fedora Update System 2018-02-28 17:38:01 UTC
proselint-0.8.0-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4cb899f95e

Comment 17 Fedora Update System 2018-02-28 18:09:21 UTC
proselint-0.8.0-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2014ebe2e6

Comment 18 Fedora Update System 2018-03-13 17:17:08 UTC
proselint-0.8.0-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-03-13 23:12:17 UTC
proselint-0.8.0-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.